## qbs 1.3.3+dfsg

=== debian/changelog ===
qbs (1.3.3+dfsg-4) unstable; urgency=medium

  * Drop no longer needed chmod calls from debian/rules, thanks Jake
    Petroules for the suggestion.
  * Use qbs-config instead of modifying configuration files manually,
    thanks Jake Petroules for the suggestion.
  * Mark some destructors symbols as optional to fix build with GCC 5
    (closes: #778082).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 18 Feb 2015 10:11:29 +0300

qbs (1.3.3+dfsg-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Add ${misc:Pre-Depends} to Pre-Depends for qbs, libqbscore1, and
    libqbsqtprofilesetup1.

  [ Adam Majer ]
  * Remove rpath from project include files used by 3rd party
    software. On Debian, rpath should not be set when referencing
    system installed libraries.

  [ Dmitry Shachnev ]
  * Add increase_timeout.diff from Dejan Latinovic to make tests pass
    on mips (closes: #774974).
  * Update debian/watch for new downloads server name.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 09 Jan 2015 19:46:15 +0300

qbs (1.3.3+dfsg-2) unstable; urgency=medium

  * Re-add skip_test.diff, seems to be still needed.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 28 Dec 2014 20:31:27 +0300

qbs (1.3.3+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop no_gnu_hash.diff, applied upstream.
  * Drop skip_test.diff, no longer needed.
  * Add support for all MIPS flavors (closes: #767459).
  * Bump Breaks/Replaces on qtcreator, it is not fixed in Jessie.
  * Update debian/libqbscore1.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 Dec 2014 17:44:26 +0300

qbs (1.3.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Add alpha, hppa and sparc64 support (closes: #764556).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 20 Oct 2014 16:53:29 +0400

qbs (1.3.1+dfsg-4) unstable; urgency=medium

  * Add upstream patch to not hardcode the linker hash style.
  * Add arm64 support.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 15 Oct 2014 21:29:30 +0400

qbs (1.3.1+dfsg-3) unstable; urgency=medium

  * Replace previous cleanup patch with a new patch that
    disables the broken test.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 08 Oct 2014 19:29:24 +0400

qbs (1.3.1+dfsg-2) unstable; urgency=medium

  * Enable disable_rpath and qbs_enable_project_file_updates
    configuration flags, thanks Adam Majer for the patch.
  * Add 4 new symbols introduced by the previous change.
  * Add a patch to correctly detect endianness of all supported
    by Debian architectures.
  * Add a patch to clean up before running dependenciesProperty
    test (should make it passing).
  * Add lib/ to LD_LIBRARY_PATH when running tests (should fix
    build failures on kfreebsd and hurd).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 07 Oct 2014 10:41:59 +0400

qbs (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + Update .install files.
    + Update libqbscore1.symbols. There are missing symbols, but
      we ignore that as the package has never been in testing.
  * Break/Replace qtcreator (<< 3.2.1+dfsg-4~) (closes: #763365).
  * Fix build failure when multiple compilers are installed.
  * Properly clean up after tests.
  * Update my e-mail address.
  * debian/watch: Use new repacksuffix option.
  * Update Vcs-Browser field to point to cgit interface.
  * debian/copyright: Use correct exception syntax.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 04 Oct 2014 10:21:08 +0400

qbs (1.2.2+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #745095).

 -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 26 Jul 2014 23:28:44 +0400
