=== debian/control ===
Source: qbs
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: debhelper (>= 9),
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtscript5-dev
Build-Depends-Indep: libqt5sql5-sqlite, qttools5-dev-tools
Standards-Version: 3.9.6
Homepage: http://qt-project.org/wiki/QBS
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qbs.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qbs.git

Package: qbs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qtcreator (<< 3.2.1+dfsg-8~)
Replaces: qtcreator (<< 3.2.1+dfsg-8~)
Description: Qt Build Suite
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt Build Suite, a cross-platform build tool.

Package: libqbscore1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Build Suite core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt Build Suite core shared library.

Package: libqbsqtprofilesetup1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Build Suite profile setup library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt Build Suite profile setup shared library.

Package: qbs-dev
Architecture: any
Section: libdevel
Depends: libqbscore1 (= ${binary:Version}),
         libqbsqtprofilesetup1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt Build Suite development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains headers and development files for Qt Build Suite.

Package: qbs-dbg
Priority: extra
Architecture: any
Section: debug
Depends: qbs (= ${binary:Version}), ${misc:Depends}
Description: Qt Build Suite debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt Build Suite.

Package: qbs-examples
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt Build Suite examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the example source projects for the Qt Build Suite.

Package: qbs-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt Build Suite documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt Build Suite.

Package: qbs-doc-html
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt Build Suite HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt Build Suite.
