## qbs 1.4.2+dfsg

=== debian/changelog ===
qbs (1.4.2+dfsg-3) unstable; urgency=medium

  * Use QBS_LIBRARY_DIRNAME to specify library dir (closes: #797774).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 05 Sep 2015 10:24:02 +0300

qbs (1.4.2+dfsg-2) unstable; urgency=medium

  * Backport upstream change that should hopefully fix tests failures
    on most architectures (dont_throw_exceptions.diff).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 26 Aug 2015 16:57:58 +0300

qbs (1.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches:
    - fix_assembly_test.diff (applied upstream)
    - revert_tests_speedup.diff (applied upstream)
    - skip_test.diff (no longer needed)
  * Refresh and rebase other patches.
  * Update qbs.install to install some new files.
  * Remove gitignore files in clean target.
  * Minor debian/copyright updates.
  * Update libqbscore1.symbols (only internal symbols changed).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Aug 2015 18:49:24 +0300

qbs (1.4.1+dfsg-8) unstable; urgency=medium

  * Tell qmake where to install libraries and plugins, rather than moving
    them after installing (LP: #1456593).
  * Remove lib/ directory in clean target.
  * Update symbols files for GCC 5, fixing a build failure.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 12 Aug 2015 20:55:48 +0300

qbs (1.4.1+dfsg-7) unstable; urgency=medium

  * Skip homeDirectory test because buildds do not have home directory
    (skip_test_homedirectory.diff).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 18 Jul 2015 21:18:43 +0300

qbs (1.4.1+dfsg-6) unstable; urgency=medium

  * Simplify testing commands: no need to pass --settings-dir because
    we export XDG_CONFIG_HOME anyway.
  * Define qbs_enable_unit_tests to enable some additional tests.
    - Add some new symbols that appeared after enabling it.
  * Move tests whitelist logic to auto.pro, so that non-API tests are
    still run on non-whitelisted architectures.
  * Talk to FreeBSD kernel manually instead of using kinfo_getproc,
    which is not available on GNU/kFreeBSD.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 18 Jul 2015 19:38:23 +0300

qbs (1.4.1+dfsg-5) experimental; urgency=medium

  * Fixup the previous kFreeBSD fix; add B-D on libutil-freebsd-dev.
  * Use a whitelist of architectures where we run tests, until QBS
    gets ported away from QtScript.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jul 2015 13:20:21 +0300

qbs (1.4.1+dfsg-4) experimental; urgency=medium

  * Add missing includes for kinfo_getproc(3) on kFreeBSD
    (bsd_includes.diff).
  * Disable one more test (infinite-loop-js) failing because of QtScript
    bugs to make the build pass on powerpc. Rename the patch from
    disable_moc_hpp_included.diff to disable_tests_qtscript.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 12 Jul 2015 17:08:33 +0300

qbs (1.4.1+dfsg-3) experimental; urgency=medium

  * Backport upstream change to run testAssembly only on architectures
    where it is supported (fix_assembly_test.diff).
  * Replace revert_tests_speedup.diff with proposed upstream version
    by Christian Kandeler.
  * Disable moc-hpp-included test which currently fails because of a bug
    in QtScript on some architectures (disable_moc_hpp_included.diff).
  * Update some URLs to use *.qt.io instead of *.qt-project.org.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 11 Jul 2015 19:57:05 +0300

qbs (1.4.1+dfsg-2) experimental; urgency=medium

  * Version all symbols from 1.4 snapshots as 1.4.0.
  * Revert upstream commit that may have caused tests to fail.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 08 Jul 2015 14:00:20 +0300

qbs (1.4.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for new tarball naming scheme.
  * Refresh debian/patches/skip_test.diff.
  * Install new tools/commandechomode.h header in qbs-dev.
  * Update debian/libqbscore1.symbols for the new version.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 06 Jul 2015 17:33:05 +0300

qbs (1.4~git20150407-c224c8-1) experimental; urgency=medium

  * New upstream snapshot.
  * Fix a typo in previous changelog entry.
  * Sort debian/qbs.install.
  * Clean up patches and bump Last-Update timestamps.
  * Update name of qbs_disable_rpath variable, following upstream
    change (commit a8e6324de460745a).
  * Update libqbscore1.symbols for the new snapshot.
  * Properly version symbols introduced in previous upload.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 10 Apr 2015 09:33:46 +0300

qbs (1.4~7fd456-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Sort debian/qbs.install.
  * Update debian/libqbscore1.symbols from buildds’ logs.

  [ Adam Majer ]
  * Release snapshot of 1.4.x branch as of 7fd456 commit
    + endianness patch applied upstream, removed from patches
  * Add myself to uploaders

 -- Adam Majer <adamm@zombino.com>  Thu, 12 Mar 2015 18:55:22 -0500

qbs (1.3.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop increase_timeout.diff, applied upstream.
  * Replace endianness.diff with upstream patch.
  * Update copyright information.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 08 Mar 2015 20:54:30 +0300
