=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Adam Majer <adamm@zombino.com>
 Build-Depends: debhelper (>= 9),
                pkg-kde-tools,
                qtbase5-dev,
@@ -11,7 +12,7 @@
                qtscript5-dev
 Build-Depends-Indep: libqt5sql5-sqlite, qttools5-dev-tools
 Standards-Version: 3.9.6
-Homepage: http://qt-project.org/wiki/QBS
+Homepage: http://wiki.qt.io/Qt_Build_Suite
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qbs.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qbs.git
