## qbs 1.4.5%2Bdfsg

=== debian/changelog ===
qbs (1.4.5+dfsg-2) unstable; urgency=medium

  * Skip new TestBlackbox::concurrentExecutor() test which hangs on all
    non-x86 architectures.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 31 Mar 2016 19:29:35 +0200

qbs (1.4.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Use recommended https URIs for Vcs fields.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Migrate to automatic dbgsym packages.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 17 Mar 2016 18:50:14 +0100

qbs (1.4.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 19 Dec 2015 13:46:01 +0300

qbs (1.4.3+dfsg-3) unstable; urgency=medium

  * Update debian/libqbscore1.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Nov 2015 09:41:32 +0300

qbs (1.4.3+dfsg-2) unstable; urgency=medium

  * Do not try to run tests during arch-indep builds.
  * Split files in /usr/share into new qbs-common package.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Oct 2015 11:22:24 +0300

qbs (1.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop dont_throw_exceptions.diff, applied upstream.
  * Refresh skip_test_homedirectory.diff.
  * Update debian/libqbscore1.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2015 16:27:50 +0300
