## qbs 1.4.5+dfsg

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 Uploaders: Dmitry Shachnev <mitya57@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Adam Majer <adamm@zombino.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20160114~),
                pkg-kde-tools,
                qtbase5-dev,
                qtdeclarative5-dev,
                qtscript5-dev
 Build-Depends-Indep: libqt5sql5-sqlite, qttools5-dev-tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://wiki.qt.io/Qt_Build_Suite
-Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qbs.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qbs.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qbs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qbs.git
 
 Package: qbs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: qbs-common, ${misc:Depends}, ${shlibs:Depends}
 Breaks: qtcreator (<< 3.2.1+dfsg-8~)
 Replaces: qtcreator (<< 3.2.1+dfsg-8~)
 Description: Qt Build Suite
@@ -27,6 +27,17 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains Qt Build Suite, a cross-platform build tool.
+
+Package: qbs-common
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: qbs (<< 1.4.3+dfsg-2~)
+Replaces: qbs (<< 1.4.3+dfsg-2~)
+Description: Qt Build Suite static files
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains Qt Build Suite shared static files.
 
 Package: libqbscore1
 Architecture: any
@@ -63,17 +74,6 @@
  .
  This package contains headers and development files for Qt Build Suite.
 
-Package: qbs-dbg
-Priority: extra
-Architecture: any
-Section: debug
-Depends: qbs (= ${binary:Version}), ${misc:Depends}
-Description: Qt Build Suite debugging symbols
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the debugging symbols for the Qt Build Suite.
-
 Package: qbs-examples
 Architecture: all
 Section: doc
