=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export QT_SELECT := qt5
 
 %:
-	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qbs-dbg
+	dh $@ --parallel --with pkgkde_symbolshelper
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -37,12 +37,13 @@
 
 override_dh_auto_install-indep:
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
+	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp sub-static-pro-install_subtargets
 
 	# Remove empty directories
 	rmdir $(CURDIR)/debian/tmp/usr/share/doc/qbs/html/images/used-in-examples/
 	rmdir $(CURDIR)/debian/tmp/usr/share/doc/qbs/html/scripts/
 
-override_dh_auto_test:
+override_dh_auto_test-arch:
 	mkdir -p $(CONFIG_DIR)/QtProject
 	set -ex; \
 		export LD_LIBRARY_PATH=$(CURDIR)/lib/${DEB_HOST_MULTIARCH}:$$LD_LIBRARY_PATH; \
@@ -53,5 +54,10 @@
 			$(CURDIR)/bin/qbs-config profiles.qbs_autotests.baseProfile gcc; \
 		dh_auto_test
 
+override_dh_auto_test-indep:
+
 override_dh_install:
 	dh_install --fail-missing
+
+override_dh_strip:
+	dh_strip --dbgsym-migration='qbs-dbg (<< 1.4.5+dfsg-1~)'
