## qbs 1.5.2+dfsg

=== debian/changelog ===
qbs (1.5.2+dfsg-1) unstable; urgency=medium

  [ Adam Majer ]
  * Remove /usr/include from INCLUDEPATH list of installed
    .pri file. Adding this default included path causes FTBFS
    for software using qbs with GCC 6 (fix_ftbfs_gcc6.diff)
    (closes: #831182)

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop kfreebsd.diff, a similar patch was applied upstream.
  * Avoid using the Qt Build Suite term, following upstream.

 -- Adam Majer <adamm@zombino.com>  Tue, 02 Aug 2016 00:04:16 +0200

qbs (1.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh skip_test_concurrent.diff.
  * Drop the rules to remove empty directories in documentation, qdoc no
    longer creates them (since Qt 5.6.1).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 18 Jun 2016 12:11:44 +0300

qbs (1.5.0+dfsg-2) unstable; urgency=medium

  * Build-depend on qttools5-dev-tools to prevent a test failure.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 May 2016 09:33:19 +0300

qbs (1.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Set LC_ALL=C.UTF-8 when running tests, as according to upstream the
    testsuite assumes English locale.
  * Refresh patches against the new release.
  * Update debian/qbs-common.install.
  * Update debian/libqbscore1.symbols from amd64 build log.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 12 May 2016 22:05:38 +0300
