=== debian/control ===
Source: qbs
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Adam Majer <adamm@zombino.com>
Build-Depends: debhelper (>= 9.20160114~),
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtscript5-dev,
               qttools5-dev-tools
Build-Depends-Indep: libqt5sql5-sqlite
Standards-Version: 3.9.8
Homepage: https://wiki.qt.io/Qbs
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qbs.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qbs.git

Package: qbs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: qbs-common, ${misc:Depends}, ${shlibs:Depends}
Breaks: qtcreator (<< 3.2.1+dfsg-8~)
Replaces: qtcreator (<< 3.2.1+dfsg-8~)
Description: Qbs build tool
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qbs, a cross-platform build tool.

Package: qbs-common
Architecture: all
Depends: ${misc:Depends}
Breaks: qbs (<< 1.4.3+dfsg-2~)
Replaces: qbs (<< 1.4.3+dfsg-2~)
Description: Qbs static files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qbs shared static files.

Package: libqbscore1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qbs core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qbs core shared library.

Package: libqbsqtprofilesetup1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qbs profile setup library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qbs profile setup shared library.

Package: qbs-dev
Architecture: any
Section: libdevel
Depends: libqbscore1 (= ${binary:Version}),
         libqbsqtprofilesetup1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qbs development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains headers and development files for Qbs.

Package: qbs-examples
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qbs examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the example source projects for Qbs.

Package: qbs-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qbs documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qbs.

Package: qbs-doc-html
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qbs HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qbs.
