=== debian/rules ===
--- 
+++ 
@@ -39,10 +39,6 @@
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp sub-static-pro-install_subtargets
 
-	# Remove empty directories
-	rmdir $(CURDIR)/debian/tmp/usr/share/doc/qbs/html/images/used-in-examples/
-	rmdir $(CURDIR)/debian/tmp/usr/share/doc/qbs/html/scripts/
-
 override_dh_auto_test-arch:
 	mkdir -p $(CONFIG_DIR)/QtProject
 	set -ex; \
@@ -52,7 +48,7 @@
 		$(CURDIR)/bin/qbs-setup-qt /usr/bin/qmake qbs_autotests; \
 		[ -n "`$(CURDIR)/bin/qbs-config --list profiles.qbs_autotests.baseProfile`" ] || \
 			$(CURDIR)/bin/qbs-config profiles.qbs_autotests.baseProfile gcc; \
-		dh_auto_test
+		LC_ALL=C.UTF-8 dh_auto_test
 
 override_dh_auto_test-indep:
