## qbs 1.7.0+dfsg

=== debian/changelog ===
qbs (1.7.0+dfsg-4) unstable; urgency=medium

  * Backport upstream patch to make documentation install dir configurable
    (qmake_documentation.diff).
  * Install the documentation into correct location (closes: #795829).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 Jan 2017 12:01:02 +0300

qbs (1.7.0+dfsg-3) unstable; urgency=medium

  * Fix the arch:all build by passing -f to rm command.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Jan 2017 22:06:30 +0300

qbs (1.7.0+dfsg-2) unstable; urgency=medium

  * Drop ${shlibs:Depends} from qbs-dev, it does not have any binary code.
  * Update debian/copyright.
  * Fix race condition which breaks parallel builds (fix_race_condition.diff).
  * Do not install the libqbscore.so.1 symlink (closes: #850035).
  * Use the same SONAME scheme on kfreebsd as on Linux (kfreebsd_soname.diff).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Jan 2017 21:24:09 +0300

qbs (1.7.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh and rebase the patches for the new release.
  * Add three new files to debian/qbs-common.install.
  * Update symbols files from the current amd64 build log.
  * Rename the library packages according to upstream SONAME change:
    - libqbscore1 → libqbscore1.7;
    - libqbsqtprofilesetup1 → libqbsqtprofilesetup1.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 23 Dec 2016 11:22:04 +0300

qbs (1.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh skip_test_concurrent.diff.
  * Update debian/libqbscore1.symbols from buildds’ logs.
  * Fix description-synopsis-starts-with-article Lintian warning.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 13 Nov 2016 19:25:30 +0300

qbs (1.6.0+dfsg-2) unstable; urgency=medium

  * Update debian/libqbscore1.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 07 Sep 2016 12:04:38 +0300

qbs (1.6.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Set $HOME to a temporary location when running tests.
  * Drop skip_test_homedirectory.diff, no longer needed.
  * Refresh other patches.
  * Update install files for the new release.
  * Update debian/libqbscore1.symbols from amd64 and i386 build logs.
  * Fix two Lintian errors about package descriptions.
  * Bump required Qt version to 5.4.0, following upstream.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 03 Sep 2016 14:43:46 +0300
