=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Adam Majer <adamm@zombino.com>
 Build-Depends: debhelper (>= 9.20160114~),
                pkg-kde-tools,
-               qtbase5-dev,
+               qtbase5-dev (>= 5.4.0),
                qtdeclarative5-dev,
                qtscript5-dev,
                qttools5-dev-tools
@@ -23,7 +23,7 @@
 Depends: qbs-common, ${misc:Depends}, ${shlibs:Depends}
 Breaks: qtcreator (<< 3.2.1+dfsg-8~)
 Replaces: qtcreator (<< 3.2.1+dfsg-8~)
-Description: Qbs build tool
+Description: cross-platform build tool from Qt
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
@@ -40,7 +40,7 @@
  .
  This package contains Qbs shared static files.
 
-Package: libqbscore1
+Package: libqbscore1.7
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
@@ -51,7 +51,7 @@
  .
  This package contains Qbs core shared library.
 
-Package: libqbsqtprofilesetup1
+Package: libqbsqtprofilesetup1.7
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
@@ -65,10 +65,9 @@
 Package: qbs-dev
 Architecture: any
 Section: libdevel
-Depends: libqbscore1 (= ${binary:Version}),
-         libqbsqtprofilesetup1 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libqbscore1.7 (= ${binary:Version}),
+         libqbsqtprofilesetup1.7 (= ${binary:Version}),
+         ${misc:Depends}
 Description: Qbs development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -79,7 +78,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Description: Qbs examples
+Description: examples for Qbs build tool
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
