=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,20 @@
 #export DH_VERBOSE=1
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-CONFIG_DIR = $(CURDIR)/debian/config
+TMP_HOME_DIR = $(CURDIR)/debian/home
 
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 export QT_SELECT := qt5
+QT_INSTALL_DOCS := $(shell qmake -query QT_INSTALL_DOCS)
 
 %:
 	dh $@ --parallel --with pkgkde_symbolshelper
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rfv doc/html $(CONFIG_DIR) tests/auto/*/testWorkDir lib
+	rm -rfv doc/html $(TMP_HOME_DIR) tests/auto/*/testWorkDir lib
 	rm -fv doc/qbs.qch bin/qbs* bin/tst*
 	find . -type f -name .gitignore -delete -print
 
@@ -30,6 +31,7 @@
 		QMAKE_CXXFLAGS+="${CXXFLAGS} ${CPPFLAGS}" \
 		QMAKE_LFLAGS+="${LDFLAGS}" \
 		QBS_INSTALL_PREFIX=/usr \
+		QBS_DOCS_INSTALL_DIR=${QT_INSTALL_DOCS} \
 		QBS_LIBRARY_DIRNAME=lib/${DEB_HOST_MULTIARCH}
 
 override_dh_auto_build-indep:
@@ -38,12 +40,12 @@
 override_dh_auto_install-indep:
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp sub-static-pro-install_subtargets
+	cd debian/tmp${QT_INSTALL_DOCS} && mv html qbs
 
 override_dh_auto_test-arch:
-	mkdir -p $(CONFIG_DIR)/QtProject
 	set -ex; \
 		export LD_LIBRARY_PATH=$(CURDIR)/lib/${DEB_HOST_MULTIARCH}:$$LD_LIBRARY_PATH; \
-		export XDG_CONFIG_HOME=$(CONFIG_DIR); \
+		export HOME=$(TMP_HOME_DIR); \
 		$(CURDIR)/bin/qbs-setup-toolchains --detect; \
 		$(CURDIR)/bin/qbs-setup-qt /usr/bin/qmake qbs_autotests; \
 		[ -n "`$(CURDIR)/bin/qbs-config --list profiles.qbs_autotests.baseProfile`" ] || \
@@ -53,6 +55,8 @@
 override_dh_auto_test-indep:
 
 override_dh_install:
+	rm -fv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libqbscore.so.1
+	rm -fv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libqbsqtprofilesetup.so.1
 	dh_install --fail-missing
 
 override_dh_strip:
