## qbs 1.8.1+dfsg

=== debian/changelog ===
qbs (1.8.1+dfsg-4) unstable; urgency=medium

  * Make libqbscore1.8 depend on qbs-common (closes: #875434).
  * Update debian/libqbscore1.8.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 12 Sep 2017 15:46:40 +0300

qbs (1.8.1+dfsg-3) unstable; urgency=medium

  * Make sure qbs tries to find qbs_processlauncher in correct place, by
    specifying QBS_RELATIVE_LIBEXEC_PATH (closes: #869909).
  * Update symbols files for GCC 7.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 07 Aug 2017 17:18:32 +0300

qbs (1.8.1+dfsg-2) unstable; urgency=medium

  * Install missing tools/version.h header to fix QtCreator build.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 10 Jul 2017 13:27:31 +0300

qbs (1.8.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Update Standards-version to 4.0.0, no changes needed.
  * Bump debhelper compat to 10.
  * Fix doc-base-file-references-missing-file by correcting path in qbs-
    doc-html.doc-base.
  * Upload to unstable.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Jul 2017 04:08:07 -0500

qbs (1.8.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop qmake_documentation.diff, applied upstream.
  * Refresh kfreebsd_soname.diff and skip_test_concurrent.diff.
  * Bump qtbase5-dev build-dependency to 5.6.0, following upstream.
  * Improve package descriptions, thanks Joerg Bornemann (closes: #863874).
  * Update debian/copyright.
  * Update docs installation code for the new release.
  * Update install files for the new release.
  * Rename the library packages according to upstream SONAME change:
    - libqbscore1.7 → libqbscore1.8;
    - libqbsqtprofilesetup1.7 → libqbsqtprofilesetup1.8.
  * Update the symbols files from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 Jun 2017 13:58:02 +0300

qbs (1.7.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop skip_test_concurrent.diff, applied upstream.
  * Update debian/copyright.
  * Update debian/libqbscore1.7.symbols from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 May 2017 12:39:34 +0300
