## qbs 1.10.1%2Bdfsg

=== debian/changelog ===
qbs (1.10.1+dfsg-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Properly support DEB_BUILD_OPTIONS=nocheck (closes: #886656). Thanks to
    Helmut Grohne.

  [ Simon Quigley ]
  * New upstream release.
  * Bump Standards-version to 4.1.3, no changes needed.
  * Bump debhelper compat to 11:
    - Remove --parallel from debian/rules because it is already used by default.
    - No other changes were required.
  * Update Vcs-* to reflect the move to Salsa.
  * Follow the hints given by the multiarch hinter.
  * Update qbs-common.install for the new upstream release.
  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 15 Mar 2018 18:05:03 -0500

qbs (1.10.0+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 22 Dec 2017 22:12:20 +0300

qbs (1.10.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop install_missing_header.diff, it was coming from upstream.
  * Refresh and rebase other patches.
  * Install upstream changelog.
  * Update install files for the new release.
  * Rename the library packages according to upstream SONAME change.
  * Export QBS_AUTOTEST_PROFILE=qbs_autotests when running the tests.
  * Build-depend on qtdeclarative5-private-dev, for Qt.quick module.
  * Update symbols files for the new release.
  * Use dh_missing instead of deprecated dh_install --fail-missing.
  * Use dh_auto_configure provided by debhelper.
  * Update debian/copyright.
  * Do not install dmgbuild Python code, it is only working on macOS.
  * Fix Abstract field in qbs-doc-html.doc-base.
  * Bump Standards-Version to 4.1.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 19 Dec 2017 21:26:01 +0300
